Debian Bug report logs - #670815
extundelete: Extundelete segfaults when trying to recover files

version graph

Package: extundelete; Maintainer for extundelete is Debian Forensics <forensics-devel@lists.alioth.debian.org>; Source for extundelete is src:extundelete.

Reported by: "Deekoo L." <deekoo_debbug_Iunderstandthatsendingofspamtothisaddressauthorizeshackingofspammers@deekoo.net>

Date: Sun, 29 Apr 2012 09:15:32 UTC

Severity: important

Tags: patch

Found in version extundelete/0.2.0-2

Fixed in version extundelete/0.2.0-2.1

Done: Antonio Terceiro <terceiro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Forensics <forensics-devel@lists.alioth.debian.org>:
Bug#670815; Package extundelete. (Sun, 29 Apr 2012 09:15:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Deekoo L." <deekoo_debbug_Iunderstandthatsendingofspamtothisaddressauthorizeshackingofspammers@deekoo.net>:
New Bug report received and forwarded. Copy sent to Debian Forensics <forensics-devel@lists.alioth.debian.org>. (Sun, 29 Apr 2012 09:15:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Deekoo L." <deekoo_debbug_Iunderstandthatsendingofspamtothisaddressauthorizeshackingofspammers@deekoo.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: extundelete: Extundelete segfaults when trying to recover files
Date: Sun, 29 Apr 2012 02:12:31 -0700
Package: extundelete
Version: 0.2.0-2
Severity: important
Tags: patch


When attempting to use extundelete to recover files from a partition
(/dev/sda11, a 553GB ext4 partition previously mounted as /home, and
fsck'd before running 'extundelete /dev/sda11 --restore-all'), I got
a general protection fault.

It turns out that e2fsprogs and extundelete have different declarations
of the ext2_extent_handle structure.  Changing extundelete's struct
to the version in e2fsprogs appears to fix it - at least, I was able
to recover a bunch of files without further crashes.

The enclosed patch fixes the problem for now, though I suspect that
in the long run the struct really should live in a shared header file
instead.


=== Patch follows ===
diff -rc extundelete-0.2.0/src/block.c extundelete-0.2.0+deekoohacks/src/block.c
*** extundelete-0.2.0/src/block.c       2010-04-15 17:59:33.000000000 -0700
--- extundelete-0.2.0+deekoohacks/src/block.c   2012-04-29 00:16:12.102682323 -0700
***************
*** 69,74 ****
--- 69,75 ----
          ext2_filsys             fs;
          ext2_ino_t              ino;
          struct ext2_inode       *inode;
+       struct ext2_inode       inodebuf;
          int                     type;
          int                     level;
          int                     max_depth;


=== End patch ===

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages extundelete depends on:
ii  e2fslibs                      1.42.2-2   ext2/ext3/ext4 file system librari
ii  libc6                         2.13-27    Embedded GNU C Library: Shared lib
ii  libcomerr2                    1.42.2-2   common error description library
ii  libgcc1                       1:4.6.3-1  GCC support library
ii  libstdc++6                    4.6.3-1    GNU Standard C++ Library v3

extundelete recommends no packages.

extundelete suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Forensics <forensics-devel@lists.alioth.debian.org>:
Bug#670815; Package extundelete. (Sat, 24 Nov 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Forensics <forensics-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 670815@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Debian Bug Tracking System <670815@bugs.debian.org>
Subject: Re: extundelete: Extundelete segfaults when trying to recover files
Date: Sat, 24 Nov 2012 15:00:40 -0300
[Message part 1 (text/plain, inline)]
Package: extundelete
Followup-For: Bug #670815

Hi,

I was just hit by this bug when trying to recover some files from an
ext4 partition. I rebuilt extundelete with this patch, and it indeed
fixed the segmentation fault.

Dear maintainers,

It would be really good to have this fix in Wheezy.  I've uploaded a
fixed package to the DELAYED/10 queue. Please let me know if you me to
cancel the upload, or just make a maintainer upload in the meantime.
You will find the patch corresponding to this NMU attached to this
message.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages extundelete depends on:
ii  e2fslibs    1.42.5-1
ii  libc6       2.13-37
ii  libcomerr2  1.42.5-1
ii  libgcc1     1:4.7.2-4
ii  libstdc++6  4.7.2-4

extundelete recommends no packages.

extundelete suggests no packages.

-- no debconf information

-- 
Antonio Terceiro <terceiro@debian.org>
[extundelete_0.2.0-2..0.2.0-2.1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Tue, 04 Dec 2012 18:36:08 GMT) Full text and rfc822 format available.

Notification sent to "Deekoo L." <deekoo_debbug_Iunderstandthatsendingofspamtothisaddressauthorizeshackingofspammers@deekoo.net>:
Bug acknowledged by developer. (Tue, 04 Dec 2012 18:36:08 GMT) Full text and rfc822 format available.

Message #15 received at 670815-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 670815-close@bugs.debian.org
Subject: Bug#670815: fixed in extundelete 0.2.0-2.1
Date: Tue, 04 Dec 2012 18:32:39 +0000
Source: extundelete
Source-Version: 0.2.0-2.1

We believe that the bug you reported is fixed in the latest version of
extundelete, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated extundelete package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 24 Nov 2012 13:55:42 -0300
Source: extundelete
Binary: extundelete
Architecture: source amd64
Version: 0.2.0-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 extundelete - utility to recover deleted files from ext3/ext4 partition
Closes: 670815
Changes: 
 extundelete (0.2.0-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 05_fix_segmentation_fault.patch by Deekoo L. to fix segmentation fault when
     trying to recover files (Closes: #670815)
Checksums-Sha1: 
 dd2aeba01dd1ad445b561cb54769f0ad689ebce8 1389 extundelete_0.2.0-2.1.dsc
 91abbf58e28bc2637c3ac88e17c1adbd830c04a8 6862 extundelete_0.2.0-2.1.debian.tar.gz
 d0e8d58d58fad74ce94c58e103bd375b7e5ea71f 55042 extundelete_0.2.0-2.1_amd64.deb
Checksums-Sha256: 
 f31da4aba60b9844467ac45b99e83e0b5660cd58054133f052bfe7b9421a1f50 1389 extundelete_0.2.0-2.1.dsc
 3e37f24ac60bd60a0d162184b2834b85bac0cd4cd2d055e1f687ed6a88f70f97 6862 extundelete_0.2.0-2.1.debian.tar.gz
 86087830fa5617637a4ae7cf066205197b3c7242b24cd13e9f1f2595c4ad6df1 55042 extundelete_0.2.0-2.1_amd64.deb
Files: 
 d19b877420bc580705136039353bee0c 1389 utils optional extundelete_0.2.0-2.1.dsc
 5807b955c194dbe82220f8f3ea363543 6862 utils optional extundelete_0.2.0-2.1.debian.tar.gz
 62b957ee6253ecd74359b963041acb6f 55042 utils optional extundelete_0.2.0-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCxCogACgkQDOM8kQ+cso8nwQCgjmRUXACsBwpKtGH1yqCAtse1
Z54AnR6EfGGnyVV3xDIzDuVAxU6KArjE
=3Iil
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Jan 2013 07:25:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:30:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.